## mutter 3.35.91

=== debian/changelog ===
mutter (3.35.91-1ubuntu1) focal; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to launchpad
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 26 Feb 2020 15:33:52 +0100

mutter (3.35.91-1) experimental; urgency=medium

  * New upstream release
    - Fix clipboard handling when an app provides multiple types (LP: #1852183)
    - Fixed flickers around windows in Wayland sessions (LP: #1751593)
    - Fixed white Background when using scaling in vmware (LP: #1825842)
    - Fixed crash in meta_surface_actor_get_texture() (LP: #1859259)
    - Fixed Subpixel font rendering in shell panels (LP: #1836700)
    - Fixed bug causing workspaces not to be preserved on restart
      under X11 (LP :#1819890)
    - Using graphene (insted of cogl) for handling various primitives
    - Honor accelerometer orientation on monitor config changes
    - Make the cursor renderer use the transactional KMS API
    - Lots of crash fixes and cleanups
  * debian/patches:
    - refreshed
    - d/p/EGL-Include-EGL-eglmesaext.h.patch:
      + dropped, merged upstream
  * debian/control:
    - build-depend on graphene (1.9.3)
    - Add libgraphene-1.0-dev as libmutter-6-dev dependency
    - bump build dependency on meson 0.50
    - bump build dependency on libinput 1.7
    - bump package name to mutter-6
  * d/libmutter-6-0.symbols: update symbols

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 24 Feb 2020 17:42:35 +0000
