## mutter 3.36.1

=== meson_options.txt ===
option('opengl',
  type: 'boolean',
  value: true,
  description: 'Enable OpenGL'
)

option('opengl_libname',
  type: 'string',
  value: 'libGL.so.1',
  description: 'OpenGL library file name'
)

option('gles2_libname',
  type: 'string',
  value: 'libGLESv2.so',
  description: 'GLESv2 library file name'
)

option('gles2',
  type: 'boolean',
  value: true,
  description: 'Enable GLES2 support'
)

option('egl',
  type: 'boolean',
  value: true,
  description: 'Enable EGL support'
)
option('glx',
  type: 'boolean',
  value: true,
  description: 'Enable GLX support'
)

option('wayland',
  type: 'boolean',
  value: true,
  description: 'Enable Wayland support'
)

option('native_backend',
  type: 'boolean',
  value: true,
  description: 'Enable the native backend'
)

option('remote_desktop',
  type: 'boolean',
  value: true,
  description: 'Enable remote desktop and screen cast support'
)

option('egl_device',
  type: 'boolean',
  value: false,
  description: 'Enable EGLDevice and EGLStream renderer support'
)

option('wayland_eglstream',
  type: 'boolean',
  value: false,
  description: 'Enable Wayland EGLStream support client support'
)

option('udev',
  type: 'boolean',
  value: true,
  description: 'Enable udev support when using the X11 backend'
)

option('libwacom',
  type: 'boolean',
  value: true,
  description: 'Enable libwacom support'
)

option('pango_ft2',
  type: 'boolean',
  value: true,
  description: 'Enable PangoFt2 support'
)

option('startup_notification',
  type: 'boolean',
  value: true,
  description: 'Enable startup notification support'
)

option('sm',
  type: 'boolean',
  value: true,
  description: 'Enable X11 session management support'
)

option('introspection',
  type: 'boolean',
  value: true,
  description: 'Enable GObject introspection'
)

option('cogl_tests',
  type: 'boolean',
  value: true,
  description: 'Enable cogl tests'
)

option('clutter_tests',
  type: 'boolean',
  value: true,
  description: 'Enable clutter tests'
)

option('core_tests',
  type: 'boolean',
  value: true,
  description: 'Enable mutter core tests'
)

option('tests',
  type: 'boolean',
  value: true,
  description: 'Enable tests globally. Specific test suites can be controlled with core_tests, clutter_tests, and cogl_tests'
)

option('profiler',
  type: 'boolean',
  value: true,
  description: 'Enable Sysprof tracing'
)

option('installed_tests',
  type: 'boolean',
  value: true,
  description: 'Enable mutter installed tests'
)

option('verbose',
  type: 'boolean',
  value: true,
  description: 'Enable verbose logging ability'
)

option('xwayland_path',
  type: 'string',
  value: '',
  description: 'Path to Xwayland executable'
)

option('xwayland_grab_default_access_rules',
  type: 'string',
  value: 'gnome-boxes,remote-viewer,virt-viewer,virt-manager,vinagre,vncviewer,Xephyr',
  description: 'Comma delimited list of applications ressources or class allowed to issue X11 grabs in Xwayland'
)

option('xwayland_initfd',
  type: 'feature',
  value: 'auto',
  description: 'Whether -initfd argument is passed to Xwayland to guarantee services (e.g. gsd-xsettings) startup before applications'
)
