=== debian/changelog ===
mutter (3.36.1-3ubuntu3) focal; urgency=medium

  * Ignore test failures on riscv64, like s390x, to unblock
    gnome-settings-daemon etc.

 -- William Grant <wgrant@ubuntu.com>  Fri, 17 Apr 2020 11:08:01 +1000

mutter (3.36.1-3ubuntu2) focal; urgency=medium

  * d/p/monitor-config-manager-Fallback-to-closed-laptop-lid-conf.patch:
    -  Fallback to closed laptop lid configuration if no other available
       (LP: #1793496)
  * d/p/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Don't override non-fractionally scaled monitors scaling (LP: #1873348)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 16 Apr 2020 22:04:59 +0200

mutter (3.36.1-3ubuntu1) focal; urgency=medium

  * Merge with debian, with new upstream releases and cherry-picked fixes:
    - Screens turn off when setting display scaling to 200% (LP: #1869750)
    - Use hardware cursor for DisplayLink devices (LP: #1867757)
    - Fix popup menus with using focus-follow-mouse (LP: #1871107)
    - Window manager key events are sent to the terminal (LP: #1866094)
    - Ensure assertion 'window->unmanaging || workspace != NULL' (LP: #1864326)
    - Shell crash on meta_wayland_surface_role_get_window (LP: #1869837)
  * d/p/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Refreshed to respect upstream changes
    - Fixed a bug causing windows using direct-rendering to be continuously
      resized, keeping ability to use shell UI (LP: #1862081)
  * Remaining changes with debian:
    - debian/control:
      + Update VCS flags to point to ubuntu salsa branch
    - debian/gbp.conf: update branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 09 Apr 2020 14:40:58 +0200

mutter (3.36.1-3) experimental; urgency=medium

  * Team upload
  * Update to upstream gnome-3-36 branch, commit 3.36.1-16-gdb164bcfa
    - Fix a crash during X11 drag-and-drop, for example when dragging
      a JPEG file onto GIMP's splash screen
    - Fix a crash in X11 input device handling
    - Translate coordinates of absolute input devices for rotated screens

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Apr 2020 11:18:37 +0100

mutter (3.36.1-2) experimental; urgency=medium

  * Team upload
  * Standards-Version: 4.5.0 (no changes required)
  * d/copyright: Consolidate entries and update
  * Update to upstream gnome-3-36 branch, commit 3.36.1-13-gbc47f0a1a

 -- Simon McVittie <smcv@debian.org>  Tue, 07 Apr 2020 18:27:45 +0100

mutter (3.36.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * d/copyright: Update
  * Refresh patches
  * Update symbols file.
    Note that this includes ABI breaks: some symbols that are only used
    internally have disappeared from mutter's private fork of Clutter and
    Cogl. The only user of this version of mutter is GNOME Shell, which
    does not use these symbols.
  * d/patches: Update from gnome-3-36 branch up to 3.36.1-8-ge339a57dd
  * d/p/clutter-stage-Don-t-assume-stage-relayouts-reallocate-eve.patch:
    Add patch proposed upstream to fix a gnome-shell crash with the
    "Native window placement" extension.

 -- Simon McVittie <smcv@debian.org>  Fri, 03 Apr 2020 14:23:52 +0100

mutter (3.36.0-2ubuntu1) focal; urgency=medium

  * Merge with debian. Remaining changes:
    + debian/control:
      - Update VCS flags to point to ubuntu salsa branch
    + debian/gbp.conf: update branch to point to ubuntu/master
    + debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      - X11: Add support for fractional scaling using Randr
  * d/p/clutter-master-clock-default-Sync-timelines-to-hardware-v.patch:
    - Improves smoothness and reduce input-to-output latency
  * debian/libmutter-6-0.symbols:
    - Update as per background mipmap levels patch symbol addition
  * Ubuntu bugs resolved since 3.35.91-1ubuntu1:
    - Higher than necessary CPU usage on mouse movement (LP: #1848951)
    - No mouse cursor drawn for radeon in Wayland sessions (LP: #1867080)
    - Restarting displays apps running on other workspaces (LP: #1819890)
    - Volume/brightness OSD make fullscreen video flicker (LP: #1828697)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 19 Mar 2020 15:51:05 +0000

mutter (3.36.0-2) experimental; urgency=medium

  * control: Build against gnome-desktop 3.36 and break old gnome-shell. So we
    get dependencies on libgnome-desktop-3-19. Otherwise we get two different
    versions of gnome-desktop loaded into GNOME Shell, which crashes. Break
    old gnome-shell for the inverse reason - it needs to be upgraded otherwise
    we get the mismatch the other way around.

 -- Iain Lane <laney@debian.org>  Mon, 16 Mar 2020 13:20:44 +0000

mutter (3.36.0-1) experimental; urgency=medium

  * New upstream release
    + Fix placement of popup windows in multi-monitor setups
    + Fix invisible mouse cursor on some hardware
    + Updated translations

 -- Andre Moreira Magalhaes <andre@endlessm.com>  Fri, 13 Mar 2020 19:36:29 +0000

mutter (3.35.92-1) experimental; urgency=medium

  * New upstream release
    + Add side channel for starting required X11 services
    + Allow remote desktop services to inhibit animations
    + Avoid flicker when (un)redirecting windows
    + Fix clipping glitches in long text entries
    + Fix visibility of initially hidden windows
    + Implement scaled/transformed hardware cursors
    + Let BindConstraints update the preferred size
    + Make check-alive timeouts configurable
    + Make each stage view correspond to a single CRTC
    + Make Xwayland startup asynchronous
    + Ping windows on every window focus
    + Remove overhead from hot code paths
    + Support synchronized wayland popup moving
    + Update screen-cast code to PipeWire 0.3 API
    + Use DMA buffers for screencasting if possible
  * d/p/*: Rebase

