=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
                libcairo2-dev (>= 1.10.0),
                libcanberra-gtk3-dev,
                libdrm-dev (>= 2.4.83) [linux-any],
+               libegl-dev,
                libegl1-mesa-dev (>= 17) [linux-any],
                libfribidi-dev (>= 1.0.0),
                libgbm-dev (>= 10.3) [linux-any],
@@ -31,7 +32,7 @@
                libgl1-mesa-dev (>= 7.1~rc3-1~),
                libgles2-mesa-dev (>= 7.1~rc3-1~) | libgles2-dev,
                libglib2.0-dev (>= 2.61.1),
-               libgnome-desktop-3-dev (>= 3.33.4),
+               libgnome-desktop-3-dev (>= 3.36.0),
                libgraphene-1.0-dev (>= 1.9.3),
                libgtk-3-dev (>= 3.19.8),
                libgudev-1.0-dev (>= 232) [linux-any],
@@ -67,7 +68,7 @@
                libxt-dev,
                meson (>= 0.50),
                pkg-config (>= 0.22),
-               wayland-protocols (>= 1.18) [linux-any],
+               wayland-protocols (>= 1.19) [linux-any],
                xauth <!nocheck>,
                xkb-data,
                xserver-xorg-core [linux-any],
@@ -75,11 +76,11 @@
                xwayland [linux-any],
                zenity
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
-Vcs-Browser: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/mutter
-Vcs-Git: https://git.launchpad.net/~ubuntu-desktop/ubuntu/+source/mutter
+Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/master
 
 Package: mutter
 Architecture: any
@@ -137,7 +138,8 @@
          ${shlibs:Depends}
 Breaks: apparmor (<< 2.13.3-5~),
         gnome-control-center (<< 1:3.25.2),
-        gnome-settings-daemon (<< 3.31.91)
+        gnome-settings-daemon (<< 3.31.91),
+        gnome-shell (<< 3.36)
 Description: window manager library from the Mutter window manager
  Mutter is a Wayland display server and X11 window manager and
  compositor library. It contains functionality related to, among other
