=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,10 @@
 	-Dnative_backend=true
 else
 CONFFLAGS += \
-	-Degl=false \
+	-Dudev=false \
+	-Dlibwacom=false \
 	-Dwayland=false \
+	-Dcore_tests=false \
 	-Dnative_backend=false \
 	-Dremote_desktop=false
 endif
@@ -36,13 +38,16 @@
 ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
 	CONFFLAGS += -Dremote_desktop=false
 else
-	CONFFLAGS += -Dremote_desktop=true
+	# this depends on Pipewire 0.3, which is not packaged yet
+	# and is quite complicated (e.g. it replaces Pulseaudio)
+	CONFFLAGS += -Dremote_desktop=false
 endif
 endif
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dstartup_notification=true \
+		-Degl=true \
 		-Dgles2=true \
 		-Dgles2_libname=libGLESv2.so.2 \
 		-Dinstalled_tests=false \
@@ -81,7 +86,7 @@
 	glib-compile-schemas $(BUILDDIR)/data
 	mkdir -m 700 $(BUILDDIR)/HOME
 	mkdir -m 700 $(BUILDDIR)/XRD
-ifneq (,$(filter hurd-i386 kfreebsd-i386 kfreebsd-amd64 s390x,$(DEB_HOST_ARCH)))
+ifneq (,$(filter hurd-i386 kfreebsd-i386 kfreebsd-amd64 riscv64 s390x,$(DEB_HOST_ARCH)))
 	-$(TEST_COMMAND)
 	-$(TEST_COMMAND_FLAKY)
 else ifeq (,$(filter mips mips64el mipsel,$(DEB_HOST_ARCH)))
