## mutter 3.36.6

=== debian/changelog ===
mutter (3.36.6-1ubuntu0.20.04.2+lp1898738) focal; urgency=medium

  * Disable CRTCs if there is no monitor. (LP: #1898738)

 -- Kai-Chuan Hsieh <kaichuan.hsieh@canonical.com>  Tue, 01 Dec 2020 21:48:41 +0800

mutter (3.36.6-1ubuntu0.20.04.2) focal; urgency=medium

  * xrandr-scaling: Never try to set invalid screen sizes (again!)
    Looks like this change (introduced to fix LP:1889090) got lost while
    rebasing previous fixes, gbp has been a bad guy this time! (LP: #1896818)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 23 Sep 2020 22:03:53 +0200

mutter (3.36.6-1ubuntu0.20.04.1) focal; urgency=medium

  * Merge with debian, containing new stable release (LP: #1896332)
  * debian/patches:
    - Refresh patches and drop applied ones
    - Don't set the font-dpi on clutter-backend-x11 (LP: #1892440)
    - Cherry-pick upstream night-switch fixes for 3.36 branch
    - Cherry-pick upstream fixes for handling X11 devices removal
      (LP: #1558886)
  * xrandr-scaling: Don't update UI scale factor on xrandr-manager creation
    (LP: #1892440)
  * debian/control: Revert pipewire version bumping
  * Remaining changes with debian:
    - debian/control:
      + Update VCS flags to point to ubuntu salsa branch
    - debian/gbp.conf: update branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr


 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 19 Sep 2020 17:21:12 +0200

mutter (3.36.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update symbols file
  * d/control.in, d/rules: Enable Pipewire on Debian (but not Ubuntu).
    Now that we have Pipewire 0.3, we can enable screencasting and remote
    desktop support again.

 -- Simon McVittie <smcv@debian.org>  Thu, 10 Sep 2020 12:46:31 +0100

mutter (3.36.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Screencast fixes and improvements
    - Fix glitches when subsurfaces extend outside the toplevel
    - Improve background display in overview workspace switcher
    - Fix wine copy & paste
    - Plug memory leaks
  * Drop patches that were applied upstream

 -- Simon McVittie <smcv@debian.org>  Thu, 13 Aug 2020 10:19:59 +0100

mutter (3.36.4-1) unstable; urgency=medium

  * New upstream stable release (LP: #1887998)
    - Fix crash on area screenshots with fractional scaling
    - Do not paint textures of fully obscured windows
    - Turn off CRTCs as well when enabling DPMS
    - Improve selection support
    - Use a more appropriate combine function on opaque areas
    - Fix remote desktop being broken without screencast session
    - Fix popovers disappearing on wayland and HiDPI
    - Fixed crashes (LP: #1870867, LP: #1857947)
    - Plugged memory leaks
  * d/p/screen-cast-Let-the-reason-for-recording-determine-what-t.patch,
    d/p/screen-cast-src-Add-flag-to-maybe_record.patch,
    d/p/screen-cast-src-Fix-signedness-of-timestamp-field.patch,
    d/p/screen-cast-src-Make-record-functions-return-an-error-whe.patch,
    d/p/screen-cast-src-Make-the-two-record-vfuncs-more-similarly.patch,
    d/p/screen-cast-src-Record-follow-up-frame-after-timeout.patch,
    d/p/screen-cast-src-Remove-follow-up-timeout-source-on-disabl.patch,
    d/p/screen-cast-src-Use-G_USEC_PER_SEC-instead-of-1000000.patch,
    d/p/screen-cast-window-stream-src-Fix-indentation.patch:
    - Import more fixes for screencasting and remote desktop

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 17 Jul 2020 21:12:56 +0200

mutter (3.36.4-0ubuntu0.20.04.2) focal; urgency=medium

  * xrandr-scaling: Never try to set invalid screen sizes (LP: #1889090)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 27 Jul 2020 17:04:41 +0200

mutter (3.36.4-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream stable release (LP: #1887998)
    - Fix crash on area screenshots with fractional scaling
    - Do not paint textures of fully obscured windows
    - Turn off CRTCs as well when enabling DPMS
    - Improve selection support
    - Use a more appropriate combine function on opaque areas
    - Fix remote desktop being broken without screencast session
    - Fix popovers disappearing on wayland and HiDPI
    - Fixed crashes (LP: #1870867, LP: #1857947)
    - Plugged memory leaks
  * d/p/screen-cast-Let-the-reason-for-recording-determine-what-t.patch,
    d/p/screen-cast-src-Add-flag-to-maybe_record.patch,
    d/p/screen-cast-src-Fix-signedness-of-timestamp-field.patch,
    d/p/screen-cast-src-Make-record-functions-return-an-error-whe.patch,
    d/p/screen-cast-src-Make-the-two-record-vfuncs-more-similarly.patch,
    d/p/screen-cast-src-Record-follow-up-frame-after-timeout.patch,
    d/p/screen-cast-src-Remove-follow-up-timeout-source-on-disabl.patch,
    d/p/screen-cast-src-Use-G_USEC_PER_SEC-instead-of-1000000.patch,
    d/p/screen-cast-window-stream-src-Fix-indentation.patch:
    - Import more fixes for screencasting and remote desktop
  * d/p/x11-Add-support-for-fractional-scaling-using-Randr.patch:
    - Don't export patch-only private symbol
  * debian/libmutter-6-0.symbols:
    - Remove ubuntu-only private symbol

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 20 Jul 2020 16:16:36 +0200

mutter (3.36.3-1) unstable; urgency=medium

  * New upstream release (LP: #1881971)
   - Broadcast clipboard/primary offers
   - Fix monitor screen cast on X11
   - Implement touch-mode detecation for the X11 backend (LP: #1880596)
   - Drop external keyboard detection from touch-mode heuristics
   - Fix leaked DMA buffers in screencasts
   - Fixed crashes

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Jun 2020 23:33:29 +0200

mutter (3.36.3-0ubuntu0.20.04.2) focal; urgency=medium

  * debian/control:
    - Revert BD on adwaita-icon-theme 3.36.1-2ubuntu3. It was just temporary fix
  * d/p/x11-Add-support-for-fractional-scaling-using-Randr.patch:

