## mutter 3.36.7+git20201123

=== debian/changelog ===
mutter (3.36.7+git20201123-0.20.04.1somerville1) focal; urgency=medium

  * Disable CRTCs if there is no monitor. (LP: #1898738) 

 -- Li-Hao Liao (Leon Liao) <leon.liao@canonical.com>  Fri, 15 Jan 2021 17:32:40 +0800

mutter (3.36.7+git20201123-0.20.04.1) focal; urgency=medium

  * New upstream release and git snapshot (LP: #1903230)
    - Fix Night Light updates after DPMS
    - Fix IM handling on X11 (LP: #1899206, thanks to Gunnar Hjalmarsson for
      the initial cherry-pick)
    - Fix resizing of attached modal dialogs on wayland
    - Fix jumps when resizing windows using discrete steps
    - Fixed crashes
    - Plugged Memory leaks
    - Misc. bug fixes and cleanups
  * debian/libmutter-6-0.symbols: Update to match upstream changes.
    No symbol is a public one

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 15 Dec 2020 04:27:46 +0100
