=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                dh-sequence-gir,
                dh-sequence-gnome,
                at-spi2-core <!nocheck>,
+               adwaita-icon-theme <!nocheck>,
                dbus <!nocheck>,
                dmz-cursor-theme <!nocheck>,
                gnome-control-center-data,
@@ -79,12 +80,13 @@
 Standards-Version: 4.5.0
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/focal
+Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/focal
 
 Package: mutter
 Architecture: any
-Depends: gnome-settings-daemon-common,
+Depends: adwaita-icon-theme,
+         gnome-settings-daemon-common,
          gsettings-desktop-schemas (>= 3.33.0),
          mutter-common (>= ${source:Version}),
          zenity,
@@ -132,7 +134,8 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: gsettings-desktop-schemas (>= 3.33.0),
+Depends: adwaita-icon-theme,
+         gsettings-desktop-schemas (>= 3.33.0),
          mutter-common (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
