=== debian/rules ===
--- 
+++ 
@@ -38,9 +38,7 @@
 ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
 	CONFFLAGS += -Dremote_desktop=false
 else
-	# this depends on Pipewire 0.3, which is not packaged yet
-	# and is quite complicated (e.g. it replaces Pulseaudio)
-	CONFFLAGS += -Dremote_desktop=false
+	CONFFLAGS += -Dremote_desktop=true
 endif
 endif
 
@@ -106,6 +104,3 @@
 
 override_dh_shlibdeps:
 	dh_shlibdeps -Llibmutter-6-0 -l/usr/lib/$(DEB_HOST_MULTIARCH)/mutter-6
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='mutter-dbg (<< 3.18.3-2~)'
